package J20250724.demo01;

/**
 * @author WanJl
 * @version 1.0
 * @title Electronics
 * @description
 * @create 2025/7/24
 */
public class Electronics extends Product implements Taxable{
    private Integer warrantyYears;

    public Integer getWarrantyYears() {
        return warrantyYears;
    }

    public void setWarrantyYears(Integer warrantyYears) {
        this.warrantyYears = warrantyYears;
    }

    @Override
    public double getDiscountPrice() {
        return 0;
    }

    @Override
    public double calculateTax() {
        return 0;
    }
}
